Skip to main content
GET
/
history
/
logs
Get logs
curl --request GET \
  --url https://api.moralis-streams.com/history/logs \
  --header 'x-api-key: <api-key>'
{
  "result": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "streamId": "<string>",
      "chain": "<string>",
      "webhookUrl": "<string>",
      "retries": 123,
      "deliveryStatus": "failed",
      "blockNumber": 123,
      "errorMessage": "<string>",
      "type": "evm",
      "createdAt": "2023-11-07T05:31:56Z",
      "tag": "<string>"
    }
  ],
  "total": 123,
  "cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

limit
number<double>
required
cursor
string
streamId
string
transactionHash
string
deliveryStatus
string[]
chainId
string[]
blockNumber
number<double>[]
fromTimestamp
number<double>
toTimestamp
number<double>

Response

200 - application/json

Ok

result
object[]
required
total
number<double>
required
cursor
string